TPFMT(1) | General Commands Manual | TPFMT(1)

# NAME

tpfmt — format tprof samples

# SYNOPSIS

tpfmt | [-CkLPs] [-p pid]

# DESCRIPTION

The tpfmt utility creates and outputs a plain text representation for a given profiling result recorded by tprof(8).

The tpfmt utility accepts the following options.

-C
  Don't distinguish CPUs. All samples are treated as its CPU number is 0.
-k
  Kernel only. Ignore samples for userland code.
-L
  Don't distinguish LWPs. All samples are treated as its LWP ID is 0.
-P
  Don't distinguish processes. All samples are treated as its PID is 0.
-p pid
  Process only samples for the process with PID pid and ignore the rest.
-s
  Per symbol. Try to aggregate samples by functions rather than instructions. It's currently useful only for in-kernel samples.

# EXAMPLES

See tprof(8) for an example.

# SEE ALSO

tprof(4), tprof(8)

# AUTHORS

The tpfmt utility is written by YAMAMOTO Takashi.

November 27, 2011 | NetBSD 6.0